package org.security.desk.feign;

import org.springblade.core.tool.api.R;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author ：wzf
 * @apiNote ：服务熔断
 * @since ：Created in 2022/9/9 17:35
 */
@Component
public class ImagesClientFallback implements IImagesClient{
	@Override
	public R<String> getFileData(String busiBeginDate, String contentId, String fileName) {
		return R.fail("远程调用失败");
	}

	@Override
	public R removeFileData(String busiBeginDate, String contentId) {
		return R.fail("远程调用失败");
	}

	@Override
	public R<String> getFileSavePath() {
		return R.fail("远程调用失败");
	}
}
